Bug 216269 - Apache crashes in libphp5.so on attempt to upload photo in gallery2
Apache crashes in libphp5.so on attempt to upload photo in gallery2
Product: Fedora
Classification: Fedora
Component: php (Show other bugs)
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Joe Orton
David Lawrence
Depends On:
  Show dependency treegraph
Reported: 2006-11-18 07:59 EST by Vlad Losev
Modified: 2008-05-06 12:51 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2008-05-06 12:51:27 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)
Core dump generated by gdb (3.17 MB, application/x-bzip)
2006-11-18 07:59 EST, Vlad Losev
no flags Details

  None (edit)
Description Vlad Losev 2006-11-18 07:59:54 EST
Description of problem:
httpd segfaults when trying to process 'Add Items' page of Fedora's gallery2 module.

Version-Release number of selected component (if applicable):
 + all available gallery2 modules @ -2.1-0.24.svn20060817.fc6

How reproducible:

Steps to Reproduce:
1. Install gallery2 and modules: yum -y install 'gallery2*'
3. Run Gallery2's setup script
2. Install the followinfg modules: Permalinks, Rearrange, Registration, Search,
Gd, Album Select, Image Block, Zip Download, Color Packs, Hidden Items, Icons,
Image Frame, Link Items, New Items, Panorama, Slideshow, Watermark, RSS, Custom
Fields, EXIF/IPTC, Getid3, Mime Maintenance, Mulitlanguage, Rating, Migration,
Publish XP.
3. Click on Gallery link @ left top of the page
4. Click 'Add Items' in the left nav bar 
5. Enter name for the file on the client and summary
6. click 'Add Items' button

Actual results:
Gallery returns a page of unknown MIME type () and logs the following in the
error log: [notice] child pid 22102 exit signal Segmentation fault (11)

Expected results:
Gallery adds the picture to the root album

Additional info:
Here is the stack dump from gdb attached to the crashing httpd process:
Program received signal SIGSEGV, Segmentation fault.
[Switching to Thread -1208932656 (LWP 22102)]
0x076114d5 in _efree () from /etc/httpd/modules/libphp5.so
(gdb) bt
#0  0x076114d5 in _efree () from /etc/httpd/modules/libphp5.so
#1  0x075f938b in php_end_ob_buffer () from /etc/httpd/modules/libphp5.so
#2  0x075f9a58 in php_end_ob_buffers () from /etc/httpd/modules/libphp5.so
#3  0x075e6f32 in php_request_shutdown () from /etc/httpd/modules/libphp5.so
#4  0x076aca3c in php_ap2_register_hook () from /etc/httpd/modules/libphp5.so
#5  0x00bb494d in ap_run_handler (r=0x90d3350)
    at /usr/src/debug/httpd-2.2.3/server/config.c:157
#6  0x00bb82f8 in ap_invoke_handler (r=0x90d3350)
    at /usr/src/debug/httpd-2.2.3/server/config.c:371
#7  0x00bc42ee in ap_process_request (r=0x90d3350)
    at /usr/src/debug/httpd-2.2.3/modules/http/http_request.c:258
#8  0x00bc10df in ap_process_http_connection (c=0x90c54b0)
    at /usr/src/debug/httpd-2.2.3/modules/http/http_core.c:184
#9  0x00bbc80d in ap_run_process_connection (c=0x90c54b0)
    at /usr/src/debug/httpd-2.2.3/server/connection.c:43
#10 0x00bbc90c in ap_process_connection (c=0x90c54b0, csd=0x90c5318)
    at /usr/src/debug/httpd-2.2.3/server/connection.c:178
#11 0x00bc88a2 in child_main (child_num_arg=<value optimized out>)
    at /usr/src/debug/httpd-2.2.3/server/mpm/prefork/prefork.c:640
#12 0x00bc8bb1 in make_child (s=0x8dd43a0, slot=1)
    at /usr/src/debug/httpd-2.2.3/server/mpm/prefork/prefork.c:736
#13 0x00bc8c8a in startup_children (number_to_start=7)
    at /usr/src/debug/httpd-2.2.3/server/mpm/prefork/prefork.c:754
#14 0x00bc97eb in ap_mpm_run (_pconf=0x8dd2500, plog=0x8e005b8, s=0x8dd43a0)
    at /usr/src/debug/httpd-2.2.3/server/mpm/prefork/prefork.c:975
#15 0x00ba01b7 in main (argc=148702584, argv=0x8f69368)
    at /usr/src/debug/httpd-2.2.3/server/main.c:717

Symbols used (latest available as of Nov 18th, 2006):

SELinux is ON on the system.
Comment 1 Vlad Losev 2006-11-18 07:59:56 EST
Created attachment 141553 [details]
Core dump generated by gdb
Comment 2 Joe Orton 2006-11-23 09:19:21 EST
I can get various different backtraces out of this.  Some look like a stack
recursion overflow - which is an expected crash, another looks like this:

#3  0x00002aaab63e095f in vspprintf (pbuf=0x7fffde8b43b0, max_len=1024, 
    format=0x2aaab64e04b0 "Non-static method %s::%s() should not be called
statically, assuming $this from incompatible context", 
    ap=0x50) at /usr/src/debug/php-5.1.6/main/spprintf.c:212
#4  0x00002aaab63de2f9 in php_error_cb (type=2048, 

    error_lineno=77, format=0x0, args=0x7fffde8b4570) at
Comment 3 Bug Zapper 2008-04-04 00:46:15 EDT
Fedora apologizes that these issues have not been resolved yet. We're
sorry it's taken so long for your bug to be properly triaged and acted
on. We appreciate the time you took to report this issue and want to
make sure no important bugs slip through the cracks.

If you're currently running a version of Fedora Core between 1 and 6,
please note that Fedora no longer maintains these releases. We strongly
encourage you to upgrade to a current Fedora release. In order to
refocus our efforts as a project we are flagging all of the open bugs
for releases which are no longer maintained and closing them.

If this bug is still open against Fedora Core 1 through 6, thirty days
from now, it will be closed 'WONTFIX'. If you can reporduce this bug in
the latest Fedora version, please change to the respective version. If
you are unable to do this, please add a comment to this bug requesting
the change.

Thanks for your help, and we apologize again that we haven't handled
these issues to this point.

The process we are following is outlined here:

We will be following the process here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping to ensure this
doesn't happen again.

And if you'd like to join the bug triage team to help make things
better, check out http://fedoraproject.org/wiki/BugZappers
Comment 4 Bug Zapper 2008-05-06 12:51:25 EDT
This bug is open for a Fedora version that is no longer maintained and
will not be fixed by Fedora. Therefore we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen thus bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.